<template>
    <div class="page-container">
        <div class="admin-title">
            Token Expiration Emails
        </div>
        <div class="actions-container">
            <button class="btn blue-btn">
                Add Email
            </button>
        </div>
        <div class="table-responsive">
            <table class="table-hover">
                <thead class="table-header">
                    <tr>
                        <th class="reminders-text">
                            Subject
                        </th>
                        <th>Remind before</th>
                        <th>Actions</th>
                    </tr>
                </thead>
                <tbody class="table-body">
                    <tr class="table-body-row">
                        <th class="first-column">
                            No Data
                        </th>
                        <th />
                        <th>
                            <div>
                                <button class="btn blue-btn">
                                    Edit
                                </button>
                                <button class="btn red-button">
                                    Delete
                                </button>
                            </div>
                        </th>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</template>

<script>
export default {
    name: "TokenExpirationEmails"
}
</script>

<style scoped lang="scss">
@import "resources/css/colors";

.admin-title {
    font-size: 28px;
    color: $blue-color;
    margin-bottom: 15px;
}

.page-container {
    padding-top: 40px;
}

.first-column {
    text-align: left;
}

.actions-container {
    display: flex;
    justify-content: flex-end;
    margin-top: 20px;
    margin-bottom: 20px;
}

.blue-btn, .red-button {
    padding: 5px 10px;
}

</style>
